#!/bin/bash
#
# Creates an archive suitable for distribution (standard layout for binaries,
# libraries, etc.).

set -e

BINPATH=${PREFIX}/bin
LIBPATH=${PREFIX}/share/java/${PACKAGE_NAME}
DOCPATH=${PREFIX}/share/doc/${PACKAGE_NAME}

INSTALL="install -D -m 644"
INSTALL_X="install -D -m 755"

rm -rf ${DESTDIR}${PREFIX}
mkdir -p ${DESTDIR}${PREFIX}
mkdir -p ${DESTDIR}${BINPATH}
mkdir -p ${DESTDIR}${LIBPATH}
mkdir -p ${DESTDIR}${DOCPATH}


PREPACKAGED="package/target/${REPO_NAME}-package-${VERSION}-package"
pushd ${PREPACKAGED}
${INSTALL} -o root -g root share/doc/confluent-${REPO_NAME}/COPYRIGHT* ${DESTDIR}${DOCPATH}/
for file in `find share/ -type f `; do
  ${INSTALL} -o root -g root $file ${DESTDIR}${PREFIX}/${file//confluent-${REPO_NAME}/${PACKAGE_NAME}}
done
popd
